# DataExchange
TKSTEPBase
StepRepr

# StepRepr_RepresentationContext Class Reference

`#include <StepRepr_RepresentationContext.hxx>`

Inheritance diagram for StepRepr_RepresentationContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_RepresentationContext ()
| Returns a RepresentationContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType)
Standard_EXPORT void | SetContextIdentifier (const Handle(TCollection_HAsciiString)&aContextIdentifier)
Standard_EXPORT Handle_TCollection_HAsciiString | ContextIdentifier () const
Standard_EXPORT void | SetContextType (const Handle(TCollection_HAsciiString)&aContextType)
Standard_EXPORT Handle_TCollection_HAsciiString | ContextType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | contextIdentifier
Handle_TCollection_HAsciiString | contextType

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_RepresentationContext::StepRepr_RepresentationContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_RepresentationContext::ContextIdentifier | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_RepresentationContext::ContextType | ( |  | ) | const

Standard_EXPORT const StepRepr_RepresentationContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepGeom_GeometricRepresentationContext, StepGeom_GeometricRepresentationContextAndGlobalUnitAssignedContext, StepGeom_GeometricRepresentationContextAndParametricRepresentationContext, StepGeom_GeomRepContextAndGlobUnitAssCtxAndGlobUncertaintyAssCtx, StepRepr_GlobalUncertaintyAssignedContext, StepRepr_GlobalUnitAssignedContext, and StepRepr_ParametricRepresentationContext.

virtual Standard_EXPORT void StepRepr_RepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType
| ) | `[virtual]`

| Reimplemented in StepGeom_GeometricRepresentationContext, StepGeom_GeometricRepresentationContextAndGlobalUnitAssignedContext, StepGeom_GeometricRepresentationContextAndParametricRepresentationContext, StepGeom_GeomRepContextAndGlobUnitAssCtxAndGlobUncertaintyAssCtx, StepRepr_GlobalUncertaintyAssignedContext, and StepRepr_GlobalUnitAssignedContext.

Standard_EXPORT void StepRepr_RepresentationContext::SetContextIdentifier | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier | ) |

Standard_EXPORT void StepRepr_RepresentationContext::SetContextType | ( | const Handle(TCollection_HAsciiString)& | aContextType | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_RepresentationContext::contextIdentifier `[private]`

Handle_TCollection_HAsciiString StepRepr_RepresentationContext::contextType `[private]`

The documentation for this class was generated from the following file:

- StepRepr_RepresentationContext.hxx